Gestiono
Referencia de APIResources / Resource

Update Resource price

← Back to full API reference
PATCH/v1/resource/priceAuth required

Resource endpoints let you create and maintain catalog items used across sales, purchasing, and inventory workflows.

  • Requires organization permissions for this resource.
  • Validated by Zod schema: patchPriceTier.

Request details

Body fields

FieldRequiredDescription
idYesType: number
variationNoType: string
maxDiscountVariationNoType: string
resourceIdYesType: number
recurrencyNoType: enumExample: ONE_TIME
currencyNoEnum-like validator generated by zodFromObj
minQuantityNoType: number
applicableToLabelNoType: string
applicableToAccountingLabelNoType: string
expiresAtNoType: string
usageLimitNoType: number
usageLimitPerBeneficiaryNoType: number
usageUnitLimitNoType: number
usageUnitLimitPerBeneficiaryNoType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": 1,
  "resourceId": 1
}

Sample response

json
"<result>"